
# 基于@vue/cli3的Electron开发环境插件

安装插件

```bash
vue add electron-env
```

使用

```bash
# 启动开发环境
yarn ele_dev
# or
npm run ele_dev

# 打包APP
yarn ele_build [--noApp]
# or
npm run ele_build [--noApp]

# 清除 electron 成品
yarn ele_clean
# or
npm run ele_build
```

基础配置

```javascript
// vue.config.js
module.exports = {
  // ...
  pluginOptions: {
    // `electron-env` 插件配置
    electronEnvOpts: {
      srcDir: "src-electron", // 主进程代码根路径
      outputDir: "dist_electron", // 构建输出
      builderOutputDir: "dist_app", // electron-builder编译路径
      mainWebpacks: {
        main: {
          src: "path/to/src/js", // [srcDir]/*
          out: ".", // [outputDir]/*
          filename: "[name].electron.js"
        }
        // ... 多编译主进程文件
      },
      mainFileChangeWatchs: "*", // 监听文件变动 [srcDir]/**
      // 依赖打包配置，默认全部生产依赖 dependencies 都不打包
      externals: {},
    }
    // ...
  }
  // ...
}
```

> electron-builder 配置参考，[传送门](https://www.electron.build/configuration/configuration)

版本描述

- v0.1.1 添加只打包资源文件夹功能

Document
